#include "SignalGeneratorMJDTimeDto.h"

SignalGeneratorMJDTimeDto::SignalGeneratorMJDTimeDto(QObject *parent) : DeviceFrameBaseDto(parent)
{

}

QJsonObject SignalGeneratorMJDTimeDto::toJSON()
{
    QJsonObject jsonObj;

    QJsonObject dataObj;
    dataObj.insert("mjdTime", mjdTime);
    dataObj.insert("mjdDay", mjdDay);
    dataObj.insert("leapSec", leapSec);
    dataObj.insert("valid", valid);

    jsonObj.insert("ts", this->milisecond);
    jsonObj.insert("frameType", this->frameType);
    jsonObj.insert("data", dataObj);

    return jsonObj;
}
